Decoder (ZXing 3.4.0 API)

com.google.zxing.datamatrix.decoder

## Class Decoder

- java.lang.Object
- - com.google.zxing.datamatrix.decoder.Decoder

-     public final class Decoder
      extends Object

  The main class which implements Data Matrix Code decoding -- as opposed to locating and extracting the Data Matrix Code from an image.

  Author:
    bbrown@google.com (Brian Brown)

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Decoder()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `DecoderResult` | `decode(BitMatrix bits)` Decodes a Data Matrix Code represented as a `BitMatrix`.
    `DecoderResult` | `decode(boolean[][] image)` Convenience method that can decode a Data Matrix Code represented as a 2D array of booleans.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Decoder

          public Decoder()

  - ### Method Detail

    - #### decode

          public DecoderResult decode(boolean[][] image)
                               throws FormatException,
                                      ChecksumException

      Convenience method that can decode a Data Matrix Code represented as a 2D array of booleans. "true" is taken to mean a black module.

      Parameters:
        `image` - booleans representing white/black Data Matrix Code modules
      Returns:
        text and bytes encoded within the Data Matrix Code
      Throws:
        `FormatException` - if the Data Matrix Code cannot be decoded
        `ChecksumException` - if error correction fails

    - #### decode

          public DecoderResult decode(BitMatrix bits)
                               throws FormatException,
                                      ChecksumException

      Decodes a Data Matrix Code represented as a `BitMatrix`. A 1 or "true" is taken to mean a black module.

      Parameters:
        `bits` - booleans representing white/black Data Matrix Code modules
      Returns:
        text and bytes encoded within the Data Matrix Code
      Throws:
        `FormatException` - if the Data Matrix Code cannot be decoded
        `ChecksumException` - if error correction fails

Copyright © 2007–2019. All rights reserved.